# SCSS Placeholder

This is a repository containing SCSS partials that are intended to be placeholder styling for Magento 2 websites.

## Table of Contents

[TOC]

## Installation

```bash
npm install git+ssh://git@bitbucket.org:aligent/scssplaceholder.git#latest --save
```

## Usage

The intention of this repository is to act as a way to style a Magento website, whilst the design is being coded.
This means that the site will be usable, and look unbroken.

In order to achieve that, the project needs to be set up to import these partials into appropriate project partials.
Each partial in this repository is placed in a sub-directory that is going to be the same directory that it will go in
for the Magento project.

### Aligent SCSS Outline

To be completed

### What this is not

This repository is not a starter theme, it is not a base theme. If one of these partials are still imported when
a PR is created in the project under construction, then the PR should be rejected, and the developer informed that
the placeholder partial needs to be removed

## Development

### Time Tracking

Use the code `ALG-119` and project `Aligent` in Toggl when working on this repository.
Ensure the name of this repo, as well as an adequate description of work being undertaken is also included

Examples

`ALG-119: AligentSCSSPlaceholder - Styling the My Account nav menu`

`ALG-119: AligentSCSSPlaceholder - Issue #2 Updating the minicart styles for mobile`

*The "Issue #2" part of the time entry above refers to [Issues](https://bitbucket.org/aligent/scssplaceholder/issues?status=new&status=open) in this repository*

Examples of what we **don't** want to see in toggle

`ALG-119: AligentSCSSPlaceholder`

`ALG-119`
